package com.sa.ibiz.demo.demo.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import lombok.Data;
import org.springframework.beans.BeanUtils;
import org.springframework.cglib.beans.BeanMap;
import org.springframework.cglib.beans.BeanGenerator;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import java.util.Map;
import java.util.HashMap;
import org.springframework.util.StringUtils;
import com.sa.ibiz.demo.ibizutil.security.AuthenticationUser;
import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import org.springframework.cglib.beans.BeanCopier;
import com.sa.ibiz.demo.ibizutil.annotation.Dict;
import com.sa.ibiz.demo.ibizutil.domain.EntityBase;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.enums.FillMode;
import com.sa.ibiz.demo.ibizutil.enums.PredefinedType;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import com.alibaba.fastjson.annotation.JSONField;

import com.sa.ibiz.demo.demo.domain.WXAccount;
import com.sa.ibiz.demo.demo.domain.WXEntApp;

/**
 * 实体[WXMessage] 数据对象
 */
@TableName(value = "T_SRFWXMESSAGE",resultMap = "WXMessageResultMap")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class WXMessage extends EntityBase implements Serializable{

    @JSONField(serialize = false)
    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private WXAccount wxaccount;
    @JSONField(serialize = false)
    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private WXEntApp wxentapp;
    private Integer cnt;
    private String content;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEDATE)
    private Timestamp createdate;
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEMAN)
    @Dict(dictName = "ionicdemo_SysOperatorCodeList")
    private String createman;
    private String event;
    private String eventkey;
    private String format;
    private String fromusername;
    private Timestamp incometime;
    private Double location_prec;
    private String location_x;
    private String location_y;
    private String mediaid;
    @Dict(dictName = "ionicdemo_WXMsgTypeCodeList")
    private String msgtype;
    private String picurl;
    private String reserver;
    private String reserver2;
    private String reserver3;
    private String reserver4;
    private Integer resparticlecount;
    private String resparticles;
    private String respdesc;
    private String respmediaid;
    @Dict(dictName = "ionicdemo_WXMsgTypeCodeList")
    private String respmsgtype;
    private Timestamp resptime;
    private String resptitle;
    private String result;
    private Integer scale;
    private String scancodeinfo;
    private String scantype;
    private String thumbmediaid;
    private String tousername;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEDATE)
    private Timestamp updatedate;
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEMAN)
    @Dict(dictName = "ionicdemo_SysOperatorCodeList")
    private String updateman;
    private String wxaccountid;
    private String wxaccountname;
    private String wxentappid;
    private String wxentappname;
    @TableId(value= "wxmessageid",type=IdType.UUID)//指定主键生成策略
    private String wxmessageid;
    private String wxmessagename;
    /**
     *  设置属性值[输入内容数量]
     *  @param cnt
     */
    public void setCnt(Integer cnt){
        this.cnt = cnt;
        this.set("cntdirtyflag",true);
    }
    /**
     *  获取属性值[输入内容数量]
     */
    public Integer getCnt(){
        return this.cnt;
    }
    /**
     *  重置属性值[输入内容数量]
     */
    public void resetCnt(){
        this.set("cntdirtyflag",false);
        this.cnt = null;
    }
    /**
     *  设置属性值[文本消息内容]
     *  @param content
     */
    public void setContent(String content){
        if(StringUtils.isEmpty(content))
            content=null;
        this.content = content;
        this.set("contentdirtyflag",true);
    }
    /**
     *  获取属性值[文本消息内容]
     */
    public String getContent(){
        return this.content;
    }
    /**
     *  重置属性值[文本消息内容]
     */
    public void resetContent(){
        this.set("contentdirtyflag",false);
        this.content = null;
    }
    /**
     *  设置属性值[建立时间]
     *  @param createdate
     */
    public void setCreatedate(Timestamp createdate){
        this.createdate = createdate;
        this.set("createdatedirtyflag",true);
    }
    /**
     *  获取属性值[建立时间]
     */
    public Timestamp getCreatedate(){
        return this.createdate;
    }
    /**
     *  重置属性值[建立时间]
     */
    public void resetCreatedate(){
        this.set("createdatedirtyflag",false);
        this.createdate = null;
    }
    /**
     *  设置属性值[建立人]
     *  @param createman
     */
    public void setCreateman(String createman){
        if(StringUtils.isEmpty(createman))
            createman=null;
        this.createman = createman;
        this.set("createmandirtyflag",true);
    }
    /**
     *  获取属性值[建立人]
     */
    public String getCreateman(){
        return this.createman;
    }
    /**
     *  重置属性值[建立人]
     */
    public void resetCreateman(){
        this.set("createmandirtyflag",false);
        this.createman = null;
    }
    /**
     *  设置属性值[事件]
     *  @param event
     */
    public void setEvent(String event){
        if(StringUtils.isEmpty(event))
            event=null;
        this.event = event;
        this.set("eventdirtyflag",true);
    }
    /**
     *  获取属性值[事件]
     */
    public String getEvent(){
        return this.event;
    }
    /**
     *  重置属性值[事件]
     */
    public void resetEvent(){
        this.set("eventdirtyflag",false);
        this.event = null;
    }
    /**
     *  设置属性值[EventKey]
     *  @param eventkey
     */
    public void setEventkey(String eventkey){
        if(StringUtils.isEmpty(eventkey))
            eventkey=null;
        this.eventkey = eventkey;
        this.set("eventkeydirtyflag",true);
    }
    /**
     *  获取属性值[EventKey]
     */
    public String getEventkey(){
        return this.eventkey;
    }
    /**
     *  重置属性值[EventKey]
     */
    public void resetEventkey(){
        this.set("eventkeydirtyflag",false);
        this.eventkey = null;
    }
    /**
     *  设置属性值[语音格式]
     *  @param format
     */
    public void setFormat(String format){
        if(StringUtils.isEmpty(format))
            format=null;
        this.format = format;
        this.set("formatdirtyflag",true);
    }
    /**
     *  获取属性值[语音格式]
     */
    public String getFormat(){
        return this.format;
    }
    /**
     *  重置属性值[语音格式]
     */
    public void resetFormat(){
        this.set("formatdirtyflag",false);
        this.format = null;
    }
    /**
     *  设置属性值[发送方帐号]
     *  @param fromusername
     */
    public void setFromusername(String fromusername){
        if(StringUtils.isEmpty(fromusername))
            fromusername=null;
        this.fromusername = fromusername;
        this.set("fromusernamedirtyflag",true);
    }
    /**
     *  获取属性值[发送方帐号]
     */
    public String getFromusername(){
        return this.fromusername;
    }
    /**
     *  重置属性值[发送方帐号]
     */
    public void resetFromusername(){
        this.set("fromusernamedirtyflag",false);
        this.fromusername = null;
    }
    /**
     *  设置属性值[进入时间]
     *  @param incometime
     */
    public void setIncometime(Timestamp incometime){
        this.incometime = incometime;
        this.set("incometimedirtyflag",true);
    }
    /**
     *  获取属性值[进入时间]
     */
    public Timestamp getIncometime(){
        return this.incometime;
    }
    /**
     *  重置属性值[进入时间]
     */
    public void resetIncometime(){
        this.set("incometimedirtyflag",false);
        this.incometime = null;
    }
    /**
     *  设置属性值[位置精度]
     *  @param location_prec
     */
    public void setLocation_prec(Double location_prec){
        this.location_prec = location_prec;
        this.set("location_precdirtyflag",true);
    }
    /**
     *  获取属性值[位置精度]
     */
    public Double getLocation_prec(){
        return this.location_prec;
    }
    /**
     *  重置属性值[位置精度]
     */
    public void resetLocation_prec(){
        this.set("location_precdirtyflag",false);
        this.location_prec = null;
    }
    /**
     *  设置属性值[地理位置维度]
     *  @param location_x
     */
    public void setLocation_x(String location_x){
        if(StringUtils.isEmpty(location_x))
            location_x=null;
        this.location_x = location_x;
        this.set("location_xdirtyflag",true);
    }
    /**
     *  获取属性值[地理位置维度]
     */
    public String getLocation_x(){
        return this.location_x;
    }
    /**
     *  重置属性值[地理位置维度]
     */
    public void resetLocation_x(){
        this.set("location_xdirtyflag",false);
        this.location_x = null;
    }
    /**
     *  设置属性值[地理位置经度]
     *  @param location_y
     */
    public void setLocation_y(String location_y){
        if(StringUtils.isEmpty(location_y))
            location_y=null;
        this.location_y = location_y;
        this.set("location_ydirtyflag",true);
    }
    /**
     *  获取属性值[地理位置经度]
     */
    public String getLocation_y(){
        return this.location_y;
    }
    /**
     *  重置属性值[地理位置经度]
     */
    public void resetLocation_y(){
        this.set("location_ydirtyflag",false);
        this.location_y = null;
    }
    /**
     *  设置属性值[图片消息媒体编号]
     *  @param mediaid
     */
    public void setMediaid(String mediaid){
        if(StringUtils.isEmpty(mediaid))
            mediaid=null;
        this.mediaid = mediaid;
        this.set("mediaiddirtyflag",true);
    }
    /**
     *  获取属性值[图片消息媒体编号]
     */
    public String getMediaid(){
        return this.mediaid;
    }
    /**
     *  重置属性值[图片消息媒体编号]
     */
    public void resetMediaid(){
        this.set("mediaiddirtyflag",false);
        this.mediaid = null;
    }
    /**
     *  设置属性值[消息类型]
     *  @param msgtype
     */
    public void setMsgtype(String msgtype){
        if(StringUtils.isEmpty(msgtype))
            msgtype=null;
        this.msgtype = msgtype;
        this.set("msgtypedirtyflag",true);
    }
    /**
     *  获取属性值[消息类型]
     */
    public String getMsgtype(){
        return this.msgtype;
    }
    /**
     *  重置属性值[消息类型]
     */
    public void resetMsgtype(){
        this.set("msgtypedirtyflag",false);
        this.msgtype = null;
    }
    /**
     *  设置属性值[图片路径]
     *  @param picurl
     */
    public void setPicurl(String picurl){
        if(StringUtils.isEmpty(picurl))
            picurl=null;
        this.picurl = picurl;
        this.set("picurldirtyflag",true);
    }
    /**
     *  获取属性值[图片路径]
     */
    public String getPicurl(){
        return this.picurl;
    }
    /**
     *  重置属性值[图片路径]
     */
    public void resetPicurl(){
        this.set("picurldirtyflag",false);
        this.picurl = null;
    }
    /**
     *  设置属性值[保留字段]
     *  @param reserver
     */
    public void setReserver(String reserver){
        if(StringUtils.isEmpty(reserver))
            reserver=null;
        this.reserver = reserver;
        this.set("reserverdirtyflag",true);
    }
    /**
     *  获取属性值[保留字段]
     */
    public String getReserver(){
        return this.reserver;
    }
    /**
     *  重置属性值[保留字段]
     */
    public void resetReserver(){
        this.set("reserverdirtyflag",false);
        this.reserver = null;
    }
    /**
     *  设置属性值[保留字段2]
     *  @param reserver2
     */
    public void setReserver2(String reserver2){
        if(StringUtils.isEmpty(reserver2))
            reserver2=null;
        this.reserver2 = reserver2;
        this.set("reserver2dirtyflag",true);
    }
    /**
     *  获取属性值[保留字段2]
     */
    public String getReserver2(){
        return this.reserver2;
    }
    /**
     *  重置属性值[保留字段2]
     */
    public void resetReserver2(){
        this.set("reserver2dirtyflag",false);
        this.reserver2 = null;
    }
    /**
     *  设置属性值[保留字段3]
     *  @param reserver3
     */
    public void setReserver3(String reserver3){
        if(StringUtils.isEmpty(reserver3))
            reserver3=null;
        this.reserver3 = reserver3;
        this.set("reserver3dirtyflag",true);
    }
    /**
     *  获取属性值[保留字段3]
     */
    public String getReserver3(){
        return this.reserver3;
    }
    /**
     *  重置属性值[保留字段3]
     */
    public void resetReserver3(){
        this.set("reserver3dirtyflag",false);
        this.reserver3 = null;
    }
    /**
     *  设置属性值[保留字段4]
     *  @param reserver4
     */
    public void setReserver4(String reserver4){
        if(StringUtils.isEmpty(reserver4))
            reserver4=null;
        this.reserver4 = reserver4;
        this.set("reserver4dirtyflag",true);
    }
    /**
     *  获取属性值[保留字段4]
     */
    public String getReserver4(){
        return this.reserver4;
    }
    /**
     *  重置属性值[保留字段4]
     */
    public void resetReserver4(){
        this.set("reserver4dirtyflag",false);
        this.reserver4 = null;
    }
    /**
     *  设置属性值[反馈图文消息的数量]
     *  @param resparticlecount
     */
    public void setResparticlecount(Integer resparticlecount){
        this.resparticlecount = resparticlecount;
        this.set("resparticlecountdirtyflag",true);
    }
    /**
     *  获取属性值[反馈图文消息的数量]
     */
    public Integer getResparticlecount(){
        return this.resparticlecount;
    }
    /**
     *  重置属性值[反馈图文消息的数量]
     */
    public void resetResparticlecount(){
        this.set("resparticlecountdirtyflag",false);
        this.resparticlecount = null;
    }
    /**
     *  设置属性值[反馈的文章内容]
     *  @param resparticles
     */
    public void setResparticles(String resparticles){
        if(StringUtils.isEmpty(resparticles))
            resparticles=null;
        this.resparticles = resparticles;
        this.set("resparticlesdirtyflag",true);
    }
    /**
     *  获取属性值[反馈的文章内容]
     */
    public String getResparticles(){
        return this.resparticles;
    }
    /**
     *  重置属性值[反馈的文章内容]
     */
    public void resetResparticles(){
        this.set("resparticlesdirtyflag",false);
        this.resparticles = null;
    }
    /**
     *  设置属性值[返回描述]
     *  @param respdesc
     */
    public void setRespdesc(String respdesc){
        if(StringUtils.isEmpty(respdesc))
            respdesc=null;
        this.respdesc = respdesc;
        this.set("respdescdirtyflag",true);
    }
    /**
     *  获取属性值[返回描述]
     */
    public String getRespdesc(){
        return this.respdesc;
    }
    /**
     *  重置属性值[返回描述]
     */
    public void resetRespdesc(){
        this.set("respdescdirtyflag",false);
        this.respdesc = null;
    }
    /**
     *  设置属性值[返回图片消息媒体编号]
     *  @param respmediaid
     */
    public void setRespmediaid(String respmediaid){
        if(StringUtils.isEmpty(respmediaid))
            respmediaid=null;
        this.respmediaid = respmediaid;
        this.set("respmediaiddirtyflag",true);
    }
    /**
     *  获取属性值[返回图片消息媒体编号]
     */
    public String getRespmediaid(){
        return this.respmediaid;
    }
    /**
     *  重置属性值[返回图片消息媒体编号]
     */
    public void resetRespmediaid(){
        this.set("respmediaiddirtyflag",false);
        this.respmediaid = null;
    }
    /**
     *  设置属性值[反馈消息类型]
     *  @param respmsgtype
     */
    public void setRespmsgtype(String respmsgtype){
        if(StringUtils.isEmpty(respmsgtype))
            respmsgtype=null;
        this.respmsgtype = respmsgtype;
        this.set("respmsgtypedirtyflag",true);
    }
    /**
     *  获取属性值[反馈消息类型]
     */
    public String getRespmsgtype(){
        return this.respmsgtype;
    }
    /**
     *  重置属性值[反馈消息类型]
     */
    public void resetRespmsgtype(){
        this.set("respmsgtypedirtyflag",false);
        this.respmsgtype = null;
    }
    /**
     *  设置属性值[反馈时间]
     *  @param resptime
     */
    public void setResptime(Timestamp resptime){
        this.resptime = resptime;
        this.set("resptimedirtyflag",true);
    }
    /**
     *  获取属性值[反馈时间]
     */
    public Timestamp getResptime(){
        return this.resptime;
    }
    /**
     *  重置属性值[反馈时间]
     */
    public void resetResptime(){
        this.set("resptimedirtyflag",false);
        this.resptime = null;
    }
    /**
     *  设置属性值[返回标题]
     *  @param resptitle
     */
    public void setResptitle(String resptitle){
        if(StringUtils.isEmpty(resptitle))
            resptitle=null;
        this.resptitle = resptitle;
        this.set("resptitledirtyflag",true);
    }
    /**
     *  获取属性值[返回标题]
     */
    public String getResptitle(){
        return this.resptitle;
    }
    /**
     *  重置属性值[返回标题]
     */
    public void resetResptitle(){
        this.set("resptitledirtyflag",false);
        this.resptitle = null;
    }
    /**
     *  设置属性值[结果内容]
     *  @param result
     */
    public void setResult(String result){
        if(StringUtils.isEmpty(result))
            result=null;
        this.result = result;
        this.set("resultdirtyflag",true);
    }
    /**
     *  获取属性值[结果内容]
     */
    public String getResult(){
        return this.result;
    }
    /**
     *  重置属性值[结果内容]
     */
    public void resetResult(){
        this.set("resultdirtyflag",false);
        this.result = null;
    }
    /**
     *  设置属性值[地图缩放大小]
     *  @param scale
     */
    public void setScale(Integer scale){
        this.scale = scale;
        this.set("scaledirtyflag",true);
    }
    /**
     *  获取属性值[地图缩放大小]
     */
    public Integer getScale(){
        return this.scale;
    }
    /**
     *  重置属性值[地图缩放大小]
     */
    public void resetScale(){
        this.set("scaledirtyflag",false);
        this.scale = null;
    }
    /**
     *  设置属性值[ScanCodeInfo]
     *  @param scancodeinfo
     */
    public void setScancodeinfo(String scancodeinfo){
        if(StringUtils.isEmpty(scancodeinfo))
            scancodeinfo=null;
        this.scancodeinfo = scancodeinfo;
        this.set("scancodeinfodirtyflag",true);
    }
    /**
     *  获取属性值[ScanCodeInfo]
     */
    public String getScancodeinfo(){
        return this.scancodeinfo;
    }
    /**
     *  重置属性值[ScanCodeInfo]
     */
    public void resetScancodeinfo(){
        this.set("scancodeinfodirtyflag",false);
        this.scancodeinfo = null;
    }
    /**
     *  设置属性值[ScanType]
     *  @param scantype
     */
    public void setScantype(String scantype){
        if(StringUtils.isEmpty(scantype))
            scantype=null;
        this.scantype = scantype;
        this.set("scantypedirtyflag",true);
    }
    /**
     *  获取属性值[ScanType]
     */
    public String getScantype(){
        return this.scantype;
    }
    /**
     *  重置属性值[ScanType]
     */
    public void resetScantype(){
        this.set("scantypedirtyflag",false);
        this.scantype = null;
    }
    /**
     *  设置属性值[视频消息缩略图的媒体编号]
     *  @param thumbmediaid
     */
    public void setThumbmediaid(String thumbmediaid){
        if(StringUtils.isEmpty(thumbmediaid))
            thumbmediaid=null;
        this.thumbmediaid = thumbmediaid;
        this.set("thumbmediaiddirtyflag",true);
    }
    /**
     *  获取属性值[视频消息缩略图的媒体编号]
     */
    public String getThumbmediaid(){
        return this.thumbmediaid;
    }
    /**
     *  重置属性值[视频消息缩略图的媒体编号]
     */
    public void resetThumbmediaid(){
        this.set("thumbmediaiddirtyflag",false);
        this.thumbmediaid = null;
    }
    /**
     *  设置属性值[开发者微信号]
     *  @param tousername
     */
    public void setTousername(String tousername){
        if(StringUtils.isEmpty(tousername))
            tousername=null;
        this.tousername = tousername;
        this.set("tousernamedirtyflag",true);
    }
    /**
     *  获取属性值[开发者微信号]
     */
    public String getTousername(){
        return this.tousername;
    }
    /**
     *  重置属性值[开发者微信号]
     */
    public void resetTousername(){
        this.set("tousernamedirtyflag",false);
        this.tousername = null;
    }
    /**
     *  设置属性值[更新时间]
     *  @param updatedate
     */
    public void setUpdatedate(Timestamp updatedate){
        this.updatedate = updatedate;
        this.set("updatedatedirtyflag",true);
    }
    /**
     *  获取属性值[更新时间]
     */
    public Timestamp getUpdatedate(){
        return this.updatedate;
    }
    /**
     *  重置属性值[更新时间]
     */
    public void resetUpdatedate(){
        this.set("updatedatedirtyflag",false);
        this.updatedate = null;
    }
    /**
     *  设置属性值[更新人]
     *  @param updateman
     */
    public void setUpdateman(String updateman){
        if(StringUtils.isEmpty(updateman))
            updateman=null;
        this.updateman = updateman;
        this.set("updatemandirtyflag",true);
    }
    /**
     *  获取属性值[更新人]
     */
    public String getUpdateman(){
        return this.updateman;
    }
    /**
     *  重置属性值[更新人]
     */
    public void resetUpdateman(){
        this.set("updatemandirtyflag",false);
        this.updateman = null;
    }
    /**
     *  设置属性值[微信公众号]
     *  @param wxaccountid
     */
    public void setWxaccountid(String wxaccountid){
        if(StringUtils.isEmpty(wxaccountid))
            wxaccountid=null;
        this.wxaccountid = wxaccountid;
        this.set("wxaccountiddirtyflag",true);
    }
    /**
     *  获取属性值[微信公众号]
     */
    public String getWxaccountid(){
        return this.wxaccountid;
    }
    /**
     *  重置属性值[微信公众号]
     */
    public void resetWxaccountid(){
        this.set("wxaccountiddirtyflag",false);
        this.wxaccountid = null;
    }
    /**
     *  设置属性值[微信公众号]
     *  @param wxaccountname
     */
    public void setWxaccountname(String wxaccountname){
        if(StringUtils.isEmpty(wxaccountname))
            wxaccountname=null;
        this.wxaccountname = wxaccountname;
        this.set("wxaccountnamedirtyflag",true);
    }
    /**
     *  获取属性值[微信公众号]
     */
    public String getWxaccountname(){
        //填充物理化的外键值附加数据
        if(StringUtils.isEmpty(this.wxaccountname)&&(!StringUtils.isEmpty(this.getWxaccountid())) && this.getWxaccount()!=null)
        {
            this.wxaccountname = this.getWxaccount().getWxaccountname();
            this.set("wxaccountnamedirtyflag",true);
        }
        return this.wxaccountname;
    }
    /**
     *  重置属性值[微信公众号]
     */
    public void resetWxaccountname(){
        this.set("wxaccountnamedirtyflag",false);
        this.wxaccountname = null;
    }
    /**
     *  设置属性值[微信企业应用]
     *  @param wxentappid
     */
    public void setWxentappid(String wxentappid){
        if(StringUtils.isEmpty(wxentappid))
            wxentappid=null;
        this.wxentappid = wxentappid;
        this.set("wxentappiddirtyflag",true);
    }
    /**
     *  获取属性值[微信企业应用]
     */
    public String getWxentappid(){
        return this.wxentappid;
    }
    /**
     *  重置属性值[微信企业应用]
     */
    public void resetWxentappid(){
        this.set("wxentappiddirtyflag",false);
        this.wxentappid = null;
    }
    /**
     *  设置属性值[微信企业应用]
     *  @param wxentappname
     */
    public void setWxentappname(String wxentappname){
        if(StringUtils.isEmpty(wxentappname))
            wxentappname=null;
        this.wxentappname = wxentappname;
        this.set("wxentappnamedirtyflag",true);
    }
    /**
     *  获取属性值[微信企业应用]
     */
    public String getWxentappname(){
        //填充物理化的外键值附加数据
        if(StringUtils.isEmpty(this.wxentappname)&&(!StringUtils.isEmpty(this.getWxentappid())) && this.getWxentapp()!=null)
        {
            this.wxentappname = this.getWxentapp().getWxentappname();
            this.set("wxentappnamedirtyflag",true);
        }
        return this.wxentappname;
    }
    /**
     *  重置属性值[微信企业应用]
     */
    public void resetWxentappname(){
        this.set("wxentappnamedirtyflag",false);
        this.wxentappname = null;
    }
    /**
     *  设置属性值[微信消息标识]
     *  @param wxmessageid
     */
    public void setWxmessageid(String wxmessageid){
        if(StringUtils.isEmpty(wxmessageid))
            wxmessageid=null;
        this.wxmessageid = wxmessageid;
        this.set("wxmessageiddirtyflag",true);
    }
    /**
     *  获取属性值[微信消息标识]
     */
    public String getWxmessageid(){
        return this.wxmessageid;
    }
    /**
     *  重置属性值[微信消息标识]
     */
    public void resetWxmessageid(){
        this.set("wxmessageiddirtyflag",false);
        this.wxmessageid = null;
    }
    /**
     *  设置属性值[微信消息名称]
     *  @param wxmessagename
     */
    public void setWxmessagename(String wxmessagename){
        if(StringUtils.isEmpty(wxmessagename))
            wxmessagename=null;
        this.wxmessagename = wxmessagename;
        this.set("wxmessagenamedirtyflag",true);
    }
    /**
     *  获取属性值[微信消息名称]
     */
    public String getWxmessagename(){
        return this.wxmessagename;
    }
    /**
     *  重置属性值[微信消息名称]
     */
    public void resetWxmessagename(){
        this.set("wxmessagenamedirtyflag",false);
        this.wxmessagename = null;
    }
     /**
     *  获取主实体关联数据[WXAccount]
     */
    public WXAccount getWxaccount() {
        return wxaccount;
    }
    /**
     *  设置主实体关联数据[WXAccount]
     */
    public void setWxaccount(WXAccount wxaccount) {
        this.wxaccount = wxaccount;
    }

     /**
     *  获取主实体关联数据[WXEntApp]
     */
    public WXEntApp getWxentapp() {
        return wxentapp;
    }
    /**
     *  设置主实体关联数据[WXEntApp]
     */
    public void setWxentapp(WXEntApp wxentapp) {
        this.wxentapp = wxentapp;
    }

    /**
     * 重置当前数据对象属性值
     */
    public  void reset(){
        resetCnt();
        resetContent();
        resetCreatedate();
        resetCreateman();
        resetEvent();
        resetEventkey();
        resetFormat();
        resetFromusername();
        resetIncometime();
        resetLocation_prec();
        resetLocation_x();
        resetLocation_y();
        resetMediaid();
        resetMsgtype();
        resetPicurl();
        resetReserver();
        resetReserver2();
        resetReserver3();
        resetReserver4();
        resetResparticlecount();
        resetResparticles();
        resetRespdesc();
        resetRespmediaid();
        resetRespmsgtype();
        resetResptime();
        resetResptitle();
        resetResult();
        resetScale();
        resetScancodeinfo();
        resetScantype();
        resetThumbmediaid();
        resetTousername();
        resetUpdatedate();
        resetUpdateman();
        resetWxaccountid();
        resetWxaccountname();
        resetWxentappid();
        resetWxentappname();
        resetWxmessageid();
        resetWxmessagename();
    }
     /**
     * 获取数据主键（普通主键与联合主键）
     * @return
     */
    @JsonIgnore
    public Serializable getDefaultPrimaryKey()
    {
	    //随机生成主键
         return  IdWorker.get32UUID();

    }
     /**
     * 复制当前对象数据到目标对象(粘贴重置)
     *
     * @throws Exception
     */
    public WXMessage copyTo(WXMessage targetEntity)
	{
		BeanCopier copier=BeanCopier.create(WXMessage.class, WXMessage.class, false);
		copier.copy(this, targetEntity, null);
        targetEntity.resetWxmessageid();
		return targetEntity;
	}
}